/*
	SITE: houseofninja
	FILE: default.css
	GEEK: @philsherry
	DATE: 2011-09-26
	WHAT: generic default styles

	Copyright 2002-2011 houseofninja. All rights reserved.
*/

/* -- typography ----------------------------------------------------------- */

/* kill the orientation font thing with iOS */
body { -webkit-text-size-adjust: none; }

p, dl, hr, h1, h2, h3, h4, h5, h6, ol, ul, pre, table, address, fieldset, blockquote {
	margin: 0 0 10px;
}

/* I can't remember a time when these weren't red? */
.error, .required { color: #f00; }

a { text-decoration: none; }

/* kills the italics in some browsers */
address { font-style: normal; }

/* Make sure h1..h6 are the same size in all browsers */
h1 { font-size: 26px; }
h2 { font-size: 24px; }
h3 { font-size: 22px; }
h4 { font-size: 18px; }
h5 { font-size: 14px; }
h6 { font-size: 12px; }

/* -- lists ---------------------------------------------------------------- */
ol, ul, dl {
	list-style-position: outside;
	margin-left: 25px;
	padding-left: 0;
}

dl dt { font-weight: bold; }
dl dd { margin-left: 15px; }

ol { list-style-type: decimal; }
ol.upper-roman { list-style-type: upper-roman; }
ol.lower-alpha { list-style-type: lower-alpha; }
ul { list-style-type: disc; }
ul.circle { list-style-type: circle; }
ul.square { list-style-type: square; }
li { margin-bottom: 5px; }
li ul { margin: 5px auto; }
li li {
	font-size: 1em;
	margin-left: 15px;
}

/* we'll be controversial and leave list styling as-is,
	but use the following to add/remove styles where needed -- */
ol.no-bullets,
ul.no-bullets {
	list-style-type: none;
	margin-left: 0;
}

	ol.no-bullets li,
	ul.no-bullets li {
		list-style-type: none;
	}

ol.flush-left,
ul.flush-left,
ol.flush-left li,
ul.flush-left li {
	margin-left: 0;
	padding-left: 0;
}

ol.inline-list li,
ul.inline-list li {
	float: left;
	margin-right: 10px;
	padding: 5px 10px;
	width: auto;
}

ul.naked li,
ol.naked li {
	margin: 0;
	padding: 0;
}

/* -- tables --------------------------------------------------------------- */
table {
	background: #f9f9f9;
	width: 100%;
}

tr {}

th, td {
	padding: 5px 0;
	vertical-align: top;
}
	
tr:nth-child(odd) td {
	background: #efefef;
}

/* -- generic element stuff ------------------------------------------------ */
html, body { height: 100%; }

article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary { 
    display: block;
}

ins {
    background-color: #ff9;
    color: #000;
    text-decoration: none;
}

del { text-decoration: line-through; }

mark {
    background-color: #ff9;
    color: #000; 
    font-style: italic;
    font-weight: bold;
}

abbr {
	cursor: help;
	border-bottom: 1px dashed #000;
}

iframe { border-style: none; }

blockquote { 
	background: #333;
	border: 1px solid #7d0000;
	border-left-width: 10px; 
	-moz-border-radius: 0 10px 10px 0;
	-webkit-border-radius: 0 10px 10px 0;
	border-radius: 0 10px 10px 0;
	box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	-khtml-box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	-moz-box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	-o-box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	-webkit-box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	clear: both;
	color: #ccc;
	font: italic 1.25em/1.75 Georgia, Palatino, "Palatino Linotype", Times, "Times New Roman", serif;
	margin: 0 15px 30px;
	padding: 10px 10px 5px 15px;
	text-shadow: 0 1px 0 rgba(0,0,0,.9);	
}

blockquote cite {
	display: block;
	text-align: right;
	margin: 10px 0 10px 15px;
}

	blockquote cite:before { content: "~ "; }

hr {
	border: 0;
	border-bottom: 1px solid #ccc;
	-khtml-box-shadow: 0 0 3px rgba(0,0,0,.3);
	-moz-box-shadow: 0 0 3px rgba(0,0,0,.3);
	-o-box-shadow: 0 0 3px rgba(0,0,0,.3);
	-webkit-box-shadow: 0 0 3px rgba(0,0,0,.3);
	box-shadow: 0 0 3px rgba(0,0,0,.3);
	height: 0;
	margin-bottom: 15px;
}

pre {
	border: solid 1px #333;
	background: #333;
	background: -webkit-gradient(linear, left top, left bottom, from(#444), to(#000));
	background: -moz-linear-gradient(top, #444, #000);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#444444', endColorstr='#000000');
	-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#444444', endColorstr='#000000')";
	-khtml-border-radius: 8px;
	-moz-border-radius: 8px;
	-o-border-radius: 8px;
	-webkit-border-radius: 8px;
	border-radius: 8px;
	-khtml-box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	-moz-box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	-o-box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	-webkit-box-shadow: inset rgba(0,0,0,1) 0 1px 1px;
	box-shadow: inset rgba(0,0,0,.2) 0 1px 1px;
	overflow: auto;
	padding: 10px 20px;
	white-space: -o-pre-wrap;
	white-space: -moz-pre-wrap;
	white-space: pre-wrap;
}

code {
	background: #333;
	color: #0f0;
	font: normal 11px/1.2 Monaco, "Courier New", Courier, monospace;
}

pre code {
	background: none;
	color: #ff8000;
	text-shadow: rgba(0,0,0,.4) 0 1px 0;
}

/* Firefox outlining floated elements is not pretty */
button, a { outline: none !important; }

/* -- some time-savers ----------------------------------------------------- */
.block { display: block; }

.bold { font-weight: bold; }

.alpha { margin-left: 0; }

.omega { margin-right: 0; }

.left {
	float: left;
	margin: 0 15px 15px 0;
}

.right {
	float: right;
	margin: 0 0 15px 15px;
}

.pad-5 { padding: 2.5px 5px; }
.pad-10 { padding: 5px 10px; }
.pad-15 { padding: 7.5px 15px; }
.pad-20 { padding: 10px 20px; }
.pad-25 { padding: 12.5px 25px; }
.pad-30 { padding: 15px 30px; }

.box {
	-khtml-border-radius: 8px;
	-moz-border-radius: 8px;
	-webkit-border-radius: 8px;
	border-radius: 8px;
	-khtml-box-shadow: 0 1px 11px rgba(0,0,0,.5);
	-moz-box-shadow: 0 1px 11px rgba(0,0,0,.5);
	-o-box-shadow: 0 1px 11px rgba(0,0,0,.5);
	-webkit-box-shadow: 0 1px 11px rgba(0,0,0,.5);
	box-shadow: 0 1px 11px rgba(0,0,0,.5);
}

.box-top {
	-khtml-border-radius: 8px 8px 0 0;
	-moz-border-radius: 8px 8px 0 0;
	-webkit-border-radius: 8px 8px 0 0;
	border-radius: 8px 8px 0 0;
}

.box-bottom {
	-khtml-border-radius: 0 0 8px 8px;
	-moz-border-radius: 0 0 8px 8px;
	-webkit-border-radius: 0 0 8px 8px;
	border-radius: 0 0 8px 8px;
}

.no-border { border: none !important; }

.image-replaced {
	display: block;
	text-indent: -31337px;
}

.hide { /* using both as detailed here: http://juicystudio.com/article/screen-readers-display-none.php */
	display: none; 
	visibility: hidden;
}

.flush-top { margin-top: 0; }

.inline-content {
	clear: both;
	margin: 5px 0 10px;
}

.inline-content * { display: inline; }

blockquote cite span {
	display: block;
	font-weight: bold;
}

/* -- forms ---------------------------------------------------------------- */
label { display: block; }
label.inline { display: inline; }

fieldset { 
	border: 0; 
	padding: 0;
}

select,
input.text,
input.radio,
input.checkbox,
input.submit { margin-bottom: 1em; }

input.text, textarea { background: #666; }
input.radio, input.checkbox { background: transparent; }
input:focus, textarea:focus { background: #efefef; color: #222; }
input.text { padding: 1px 2px; }
textarea { padding: 5px 10px; }

input.text, textarea {
	border: 1px solid #666;
	-khtml-border-radius: 3px;
	-moz-border-radius: 3px;
	-o-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	-khtml-box-shadow: inset rgba(0,0,0,.2) 1px 1px 1px;
	-moz-box-shadow: inset rgba(0,0,0,.2) 1px 1px 1px;
	-o-box-shadow: inset rgba(0,0,0,.2) 1px 1px 1px;
	-webkit-box-shadow: inset rgba(0,0,0,.2) 1px 1px 1px;
	box-shadow: inset rgba(0,0,0,.2) 1px 1px 1px;
}

/* -- self-clearing floats --------------------------------------------------*/
.group:after {
	clear: both;
	content: ".";
	display: block;
	height: 0;
	visibility: hidden;
}
* html .group { height: 1%; }
.group { display: inline-block; }
/* Hide from IE Mac \*/
.group { display: block; }
/* End hide from IE Mac */
